org.apache.hadoop.registry.server.dns

## Interface RecordCreatorFactory.RecordCreator<R extends org.xbill.DNS.Record,T>

- Type Parameters:
    `R` - the record type
    `T` - the record's target type
  Enclosing class:
    RecordCreatorFactory

      public static interface RecordCreatorFactory.RecordCreator<R extends org.xbill.DNS.Record,T>

  A DNS Record creator.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `R` | `create(org.xbill.DNS.Name name, T target)`

- - ### Method Detail

    - #### create

          R create(org.xbill.DNS.Name name,
                   T target)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.